import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
const api = {
  url: '/point/v1/api/selfShop',
};

const state = () => ({});
const mutations = {};

const actions = {
  async getGoods({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.url}/goods`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async getInfo({ commit }, payload) {
    const res = await this.$axios.$get(`${api.url}`);
    return res;
  },
  async update({ commit }, { _id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.url}/${_id}`, { ...info });
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.url}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
